Package org.eclipse.ecf.remoteservice.events

# Interface IRemoteServiceEvent

All Known Subinterfaces:
  `IRemoteServiceChangedEvent`, `IRemoteServiceReferenceRetrievedEvent`, `IRemoteServiceRegisteredEvent`, `IRemoteServiceUnregisteredEvent`

public interface IRemoteServiceEvent
Super interface for remote service events (registration and unregistration).

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getClazzes()`
Get the interface classes associated with/exposed by the remote service.
`ID`
`getContainerID()`
The ID of the container that registered the service.
`ID`
`getLocalContainerID()`
The ID of the local container.
`IRemoteServiceReference`
`getReference()`
Get the remote service reference for the unregistered service.

## Method Details

### getLocalContainerID

ID getLocalContainerID()
The ID of the local container.

Returns:
  ID of local container. Will not be `null`.
Since:
  3.0

### getContainerID

ID getContainerID()
The ID of the container that registered the service.

Returns:
  ID of container that registered service. Will not be `null`.

### getReference

IRemoteServiceReference getReference()
Get the remote service reference for the unregistered service.

Returns:
  `IRemoteServiceReference` the reference for the unregistered service. Will not be `null`.

### getClazzes

String[] getClazzes()
Get the interface classes associated with/exposed by the remote service.

Returns:
  String[] set of interface classes exposed by the unregistered remote service. Will not be `null`, but may be empty array.